<?php
    /**
    *
    * copyright (c) 2013-2017 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    $risultatiPerPagina = 5;

    if($tipo=="ticket") {
        $queryNumeroArticoli = "SELECT COUNT(*) FROM geecAd_comunicazioni WHERE tipo LIKE '$tipo' AND idUtente={$_SESSION["geecomUser_id"]}";
    }
    else {
        $queryNumeroArticoli = "SELECT COUNT(*) FROM geecAd_comunicazioni WHERE tipo LIKE '$tipo'";
    }
    $risNumArticoli = $geecomDb->eseguiQueryLettura($queryNumeroArticoli);
    $numArticoli = $risNumArticoli->fetch_array(MYSQLI_NUM);

    if($tipo=="ticket") {
        $queryComunicazioni = "SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE '$tipo' AND idUtente={$_SESSION["geecomUser_id"]}";
    }
    else {
        $queryComunicazioni = "SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE '$tipo'";
    }
    $risComunicazioni = $geecomDb->eseguiQueryLettura($queryComunicazioni);
?>

    <?php
        while($comunicazione = $risComunicazioni->fetch_assoc()) {
            stampaComunicazione($comunicazione);
        }
    ?>                         

	<?php
		// paginazione
		if(isset($_GET["pag"])) {
			$paginaCorrente = $_GET["pag"];
		}
		else {
			$paginaCorrente = 1;
		}

		if($numArticoli[0]>$risultatiPerPagina) {
                    echo"<div id=\"paginazione\" class=\"text-center\">
                            <ul class=\"pagination\">";
                    if($paginaCorrente==1) {
                            echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
                    }
                    else {
                            $prec = $paginaCorrente-1;
                            echo"<li ><a href=\"$paginaCorrente?pag=$prec\">&laquo;</a>";
                    }
                    $numeroPagine = ceil($numArticoli[0]/$risultatiPerPagina);
                    if($numeroPagine > 5) {
                            $limiteInferiore = $paginaCorrente - 2;
                            if($limiteInferiore < 1) {
                                    $limiteInferiore = 1;
                            }
                            if($paginaCorrente == 1) {
                                    $limiteSuperiore=5;
                            }
                            else {
                                    $limiteSuperiore = $paginaCorrente + 2;
                            }
                            if($limiteSuperiore > $numeroPagine) {
                                    $limiteSuperiore = $numeroPagine;
                            }
                            if($limiteInferiore > 1) {
                                    echo"<li><a href=\"#\">...</a></li>";
                            }
                            for($i=$limiteInferiore;$i<$limiteSuperiore+1;$i++) {
                                    if($i==$paginaCorrente) {
                                            echo"<li class=\"active\"><a href=\"comunicazioni.php?tipo=$tipo&pag=$i\">$i</a></li>";				
                                    }
                                    else {
                                            echo"<li><a href=\"comunicazioni.php?tipo=$tipo&pag=$i\">$i</a></li>";
                                    }
                            }
                            if($limiteSuperiore < $numeroPagine) {
                                    echo"<li><a href=\"#\">...</a></li>";
                            }
                    }
                    else {					
                            for($i=1;$i<$numeroPagine+1;$i++) {
                                    if($i==$paginaCorrente) {
                                            echo"<li class=\"active\"><a href=\"comunicazioni.php?tipo=$tipo&pag=$i\">$i</a></li>";				
                                    }
                                    else {
                                            echo"<li><a href=\"comunicazioni.php?tipo=$tipo&pag=$i\">$i</a></li>";
                                    }
                            }
                    }
                    if($paginaCorrente==$numArticoli[0]) {
                            echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
                    }
                    else {
                            $succ = $paginaCorrente+1;
                            echo"<li ><a href=\"comunicazioni.php?tipo=$tipo&pag=$succ\">&raquo;</a>";
                    }
                    echo"</ul>
                    </div>";
		}
	?>
        </div>
